DefaultGroovyPagesUriService (Grails 6.0.0)

Package: org.grails.web.pages

## [Java] Class DefaultGroovyPagesUriService

- org.grails.web.pages.DefaultGroovyPagesUriService

-     public class DefaultGroovyPagesUriService
      extends GroovyPagesUriSupport

  Provides services for resolving URIs. Caches lookups in an internal ConcurrentMap cache.

  Authors:
    Lari Hotari , Sagire Software Oy

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `private static class` | `DefaultGroovyPagesUriService.ControllerObjectKey` |
    `private static class` | `DefaultGroovyPagesUriService.TupleStringKey` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `java.util.concurrent.ConcurrentMap<ControllerObjectKey, java.lang.String>` | `controllerNameCache` |
    `java.util.concurrent.ConcurrentMap<TupleStringKey, java.lang.String>` | `deployedViewURICache` |
    `java.util.concurrent.ConcurrentMap<TupleStringKey, java.lang.String>` | `noSuffixViewURICache` |
    `java.util.concurrent.ConcurrentMap<TupleStringKey, java.lang.String>` | `templateURICache` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GroovyPagesUriSupport` | `BLANK, EXTENSION, PATH_TO_VIEWS, RELATIVE_STRING, SLASH, SLASH_STR, SLASH_UNDR, SUFFIX, UNDERSCORE`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `clear()`
    `` | `public java.lang.String` | `getDeployedViewURI(java.lang.String controllerName, java.lang.String viewName)`
    `` | `public java.lang.String` | `getLogicalControllerName(groovy.lang.GroovyObject controller)`
    `` | `public java.lang.String` | `getNoSuffixViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)`
    `` | `public java.lang.String` | `getNoSuffixViewURI(java.lang.String controllerName, java.lang.String viewName)`
    `` | `public java.lang.String` | `getTemplateURI(java.lang.String controllerName, java.lang.String templateName)`
    `` | `public java.lang.String` | `getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyPagesUriSupport` | `clear, getAbsoluteTemplateURI, getAbsoluteViewURI, getAbsoluteViewURIInternal, getDeployedAbsoluteViewURI, getDeployedViewURI, getLogicalControllerName, getNoSuffixViewURI, getNoSuffixViewURI, getRelativeTemplateURIInternal, getRelativeViewURIInternal, getTemplateURI, getTemplateURI, getTemplateURI, getTemplateURI, getViewURI, getViewURI, getViewURIInternal`

- - ### Field Detail

    - #### java.util.concurrent.ConcurrentMap<ControllerObjectKey, java.lang.String> controllerNameCache

    - #### java.util.concurrent.ConcurrentMap<TupleStringKey, java.lang.String> deployedViewURICache

    - #### java.util.concurrent.ConcurrentMap<TupleStringKey, java.lang.String> noSuffixViewURICache

    - #### java.util.concurrent.ConcurrentMap<TupleStringKey, java.lang.String> templateURICache

  - ### Method Detail

    - #### @java.lang.Override public void clear()

    - #### @java.lang.Override public java.lang.String getDeployedViewURI(java.lang.String controllerName, java.lang.String viewName)

    - #### @java.lang.Override public java.lang.String getLogicalControllerName(groovy.lang.GroovyObject controller)

    - #### @java.lang.Override public java.lang.String getNoSuffixViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)

    - #### @java.lang.Override public java.lang.String getNoSuffixViewURI(java.lang.String controllerName, java.lang.String viewName)

    - #### @java.lang.Override public java.lang.String getTemplateURI(java.lang.String controllerName, java.lang.String templateName)

    - #### @java.lang.Override public java.lang.String getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName)